/*--------------------------------------------------------------------------*/

#ifndef _CURSOR_H_
#define _CURSOR_H_

/*--------------------------------------------------------------------------*/

typedef struct {
	KMBOOLEAN		bDisplay;
	KMINT32			nNo;
	KMINT32			nXpos;
	KMINT32			nYpos;
	KMRECT			sRect;
	KMSTRIPHEAD		sStripHead;
	KMSURFACEDESC	sTexSurface;
} CURSOR, *PCURSOR;

/*--------------------------------------------------------------------------*/
extern void InitCursor( KMINT32 nPort );
extern void ExitCursor( void );
extern void DrawCursor( PKMVERTEXBUFFDESC pBufferDesc );
extern void SetCursorPos( KMINT32 nXpos, KMINT32 nYpos );
extern void GetCursorPos( PKMINT32 pXpos, PKMINT32 pYpos );
extern void SetCursorNo( KMINT32 nNo );
/*--------------------------------------------------------------------------*/
#endif
